cdac.medinfo.sdk.hl7282.baselibs

## Class VH

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.VH

- All Implemented Interfaces:
    IDataType

      public class VH
      extends CompositeDataType

  VH - Visiting hours

  This data type contains the hours when a patient location is open for visiting.

  Represents an HL7 VH data type. This data type has the following attributes:

  1. Start Day Range (ID)Optional
  2. End Day Range (ID)Optional
  3. Start Hour Range (TM)Optional
  4. End Hour Range (TM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VH()` Default Constructor for VH
    `VH(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for VH class which takes two arguments and sets the value in the respective member variable.
    `VH(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for VH class which takes five arguments and sets the value in the respective member variable.
    `VH(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for VH class which takes six arguments and sets the value in the respective member variable.
    `VH(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for VH class which takes four arguments and sets the value in the respective member variable.
    `VH(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for VH class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ID` | `getEndDayRange()` Returns End Day Range
    `TM` | `getEndHourRange()` Returns End Hour Range
    `ID` | `getStartDayRange()` Returns Start Day Range
    `TM` | `getStartHourRange()` Returns Start Hour Range
    `void` | `setEndDayRange(ID objID)` Sets the EndDayRange.
    `void` | `setEndDayRange(java.lang.String strEndDayRange)` Sets the EndDayRange.
    `void` | `setEndHourRange(java.lang.String strEndHourRange)` Sets the EndHourRange.
    `void` | `setEndHourRange(TM objTM)` Sets the EndHourRange.
    `void` | `setStartDayRange(ID objID)` Sets the StartDayRange.
    `void` | `setStartDayRange(java.lang.String strStartDayRange)` Sets the StartDayRange.
    `void` | `setStartHourRange(java.lang.String strStartHourRange)` Sets the StartHourRange.
    `void` | `setStartHourRange(TM objTM)` Sets the StartHourRange.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VH

          public VH()

      Default Constructor for VH

    - #### VH

          public VH(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for VH class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### VH

          public VH(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for VH class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### VH

          public VH(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for VH class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### VH

          public VH(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for VH class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### VH

          public VH(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for VH class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setStartDayRange

          public void setStartDayRange(java.lang.String strStartDayRange)

      Sets the StartDayRange.
      Parameters:
        `strStartDayRange` - Starting day of visiting hours range.

    - #### setStartDayRange

          public void setStartDayRange(ID objID)

      Sets the StartDayRange.
      Parameters:
        `objID` - Starting day of visiting hours range.

    - #### setEndDayRange

          public void setEndDayRange(java.lang.String strEndDayRange)

      Sets the EndDayRange.
      Parameters:
        `strEndDayRange` - Ending day of visiting hours range.

    - #### setEndDayRange

          public void setEndDayRange(ID objID)

      Sets the EndDayRange.
      Parameters:
        `objID` - Ending day of visiting hours range.

    - #### setStartHourRange

          public void setStartHourRange(java.lang.String strStartHourRange)

      Sets the StartHourRange.
      Parameters:
        `strStartHourRange` - Starting hour on starting day of visiting hours range.

    - #### setStartHourRange

          public void setStartHourRange(TM objTM)

      Sets the StartHourRange.
      Parameters:
        `objTM` - Starting hour on starting day of visiting hours range.

    - #### setEndHourRange

          public void setEndHourRange(java.lang.String strEndHourRange)

      Sets the EndHourRange.
      Parameters:
        `strEndHourRange` - Ending hour on ending day of visiting hours range.

    - #### setEndHourRange

          public void setEndHourRange(TM objTM)

      Sets the EndHourRange.
      Parameters:
        `objTM` - Ending hour on ending day of visiting hours range.

    - #### getStartDayRange

          public ID getStartDayRange()

      Returns Start Day Range
      Returns:
        ID - data type.

    - #### getEndDayRange

          public ID getEndDayRange()

      Returns End Day Range
      Returns:
        ID - data type.

    - #### getStartHourRange

          public TM getStartHourRange()

      Returns Start Hour Range
      Returns:
        TM - data type.

    - #### getEndHourRange

          public TM getEndHourRange()

      Returns End Hour Range
      Returns:
        TM - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.